@ECHO OFF

:BEGIN
CLS
SET PASS=%1
SET PIN=%2

IF [%PASS%] == [] GOTO VOIDP
IF [%PIN%] == [] GOTO INPIN
GOTO END

:VOIDP
SET /p PASS="Inserire la password utilizzata per accedere ai servizi telematici: " %=%
IF [%PASS%] == [] GOTO PASSVOID

:INPIN
SET /p PIN="Inserire il PIN utilizzato per accedere ai servizi telematici: " %=%
IF [%PIN%] == [] GOTO PINVOID
GOTO END


:PASSVOID
ECHO "La password e' un dato obbligatorio"
GOTO VOIDP

:PINVOID
ECHO "Il PIN e' un dato obbligatorio"
GOTO INPIN


:END




set _JAVA_PATH="Inserire il percorso della jre"
set _LIBPATH=..\lib
set _CFGBPATH=..\prog\cfg

set _CLASSPATH=..\entratelMultifile.jar

set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\cryptotools16-3.6.2_patch3.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\bcpkix-jdk15on-149.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\bcprov-jdk15on-149.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\bcmail-jdk15on-149.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\commons-lang-2.0.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\commons-io-2.4.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\jdom_all.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\Supporto.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\commons-exec-1.1.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\gson-2.6.2.jar

set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\chunkUpload.jar



%_JAVA_PATH%\java -ms30M -mx800M -cp %_CLASSPATH% it.sogei.telematici.multifile.RunInvio %PASS% %PIN%

PAUSE
